Wrong EPSG:5514 and EPSG:102067 definition

2014-03-11 03:41 AM - Michal Zimmermann

Status: Closed

Priority: High

Assignee:

Category: Projection Support

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 18306

Description

Those 2 CRS are defined as

+proj=krovak +lat_0=49.5 +lon_0=24.83333333333333 +alpha=30.28813972222222 +k=0.9999 +x_0=0 +y_0=0 +ellps=bessel

+towgs84=542.5,89.2,456.9,5.517,2.275,5.516,6.96 +pm=greenwich +units=m +no_defs

However,

 +proj=krovak +lat_0=49.5 +lon_0=24.83333333333333 +alpha=0 +k=0.9999 +x_0=0 +y_0=0 +ellps=bessel

+towgs84=570.8,85.7,462.8,4.998,1.587,5.261,3.56 +units=m +no_defs

is the right definition (see http://spatialreference.org/ref/sr-org/6634/proj4/)

Please fix this.

History

#1 - 2014-03-11 03:56 AM - Jürgen Fischer

- Category set to Projection Support

#2 - 2014-03-24 06:23 AM - Alexander Bruy

Maybe I'm wrong, but seems this bug should go to GDAL trac, as we copy CRS definitions from GDAL

#3 - 2015-01-24 03:54 PM - Jürgen Fischer

- Resolution set to up/downstream

- Status changed from Open to Closed

#4 - 2015-08-24 04:33 AM - Andre Joost

In this case, towgs84 paramters are not taken form GDAL (which still shows different values), but from this patch: 

http://lists.osgeo.org/pipermail/qgis-commit/2013-June/010976.html

It would be nice to have them backported into GDAL.

2024-03-20 1/1

http://spatialreference.org/ref/sr-org/6634/proj4/
http://lists.osgeo.org/pipermail/qgis-commit/2013-June/010976.html

